export one layout to a DWG

Can you export one layout to a DWG ?
Thnx!
Gerrit J.
Reply to
G. Janssen
Loading thread data ...
G. Janssen a écrit :
Wbloc ?
@+ Sil
Reply to
Sil
That does not work with wblock
I would like to export de frame (lauout) and the drawing (model)
regards, Gerrit
"Sil" schreef in bericht news:4333fa3b$0$305$ snipped-for-privacy@news.club-internet.fr...
Reply to
G. Janssen
G. Janssen a écrit :
And if you just select the good layer before and make a wblock of all the objets ?
Sil
Reply to
Sil
No. WBLOCK exports only the current space. Why don't you try it before giving answers that don't work? ___
Reply to
Paul Turvill
Simple answer: No.
Your best bet is to delete everything you don't need, then SAVEAS. Or, to be a bit more safe about preserving the original drawing, SAVEAS a new drawing, then open the *new* drawing and delete what you don't need. ___
Reply to
Paul Turvill
save as new dwg, modify as req.
Reply to
Brian Spillane
Paul Turvill a écrit :
I'm french and I think I've make a mistake with the word "Layout". WBlock works whith a "Layer". I'm sorry.
What's a "Layout", a picture ?
Sil
Reply to
Sil
Layout = any of the available paper space tabs. What are these called in the French version of AutoCAD? In the English version, their names default to Layout1, Layout2, etc., as they are created, but the names may be changed by the user. ___
Reply to
Paul Turvill
I use this routine. I've lost the notes on who the original author was. It created a separate file for each layout.
(defun c:ltd (/ fn path msg msg2 fileprefix)
(defun delalllayouts (keeper / lay2) (foreach lay2 (layoutlist) (progn (if (/= lay2 keeper) (command "_.layout" "d" lay2) ) ) ) )
(setvar "CMDECHO" 0) (setq msg "") (setq msg2 "") (command "._undo" "_BE") (setq fileprefix (getstring "Enter filename prefix: ")) (foreach lay (layoutlist) (if (/= lay "Model") (progn (command "_.undo" "_M") (DelAllLayouts lay) (setvar "tilemode" 1) (command "ucs" "w") (setvar "tilemode" 0) (setq path (getvar "DWGPREFIX")) (setq fn (strcat path fileprefix lay ".dwg")) (if (findfile fn) (progn (command ".-wblock" fn "_Y") (if (equal 1 (logand 1 (getvar "cmdactive"))) (progn (setq msg (strcat msg "\n" fn)) (command "*") ) (setq msg2 (strcat msg2 "\n" fn)) ) ) (progn (command ".-wblock" fn "*") (setq msg (strcat msg "\n" fn)) ) ) (command "_.undo" "_B") ) ) ) (if (/= msg "") (progn (prompt "\nThe following drawings were created:") (prompt msg) ) ) (if (/= msg2 "") (progn (prompt "\nThe following drawings were NOT created:") (prompt msg2) ) ) (command "._undo" "_E") (textscr) (princ) )
G. Janssen wrote:
Reply to
Martin Shoemaker
Thanx Martin,
I will test it!
regards, Gerrit Janssen The Netherlands
Reply to
G. Janssen
Paul Turvill a écrit :
A "Présentation" in french Thanks you. Sil
Reply to
Sil

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.